diff --git a/configure.ac b/configure.ac
index a90b53c..7e78bd0 100644
--- a/configure.ac
+++ b/configure.ac
@@ -619,7 +619,7 @@ AC_SEARCH_LIBS(connect, [socket], [
 ])
 LIBS="$LIBS_save"
 AS_IF([test -n "$SOCKET_LIBS"], [
-  VLC_ADD_LIBS([libvlccore access_http access_mms access_udp access_tcp access_ftp access_rtmp access_output_udp access_output_shout sap stream_out_standard stream_out_rtp stream_out_raop vod_rtsp access_realrtsp rtp oldrc netsync gnutls growl_udp flac ts audioscrobbler lua remoteosd zvbi audiobargraph_a netsync],[${SOCKET_LIBS}])
+  VLC_ADD_LIBS([libvlccore access_http access_mms access_udp access_tcp access_ftp access_rtmp access_output_udp access_output_shout sap stream_out_standard stream_out_rtp stream_out_raop stream_out_select vod_rtsp access_realrtsp rtp oldrc netsync gnutls growl_udp flac ts audioscrobbler lua remoteosd zvbi audiobargraph_a netsync],[${SOCKET_LIBS}])
 ])
 AC_SUBST(SOCKET_LIBS)
 
diff --git a/modules/demux/Modules.am b/modules/demux/Modules.am
index eae4be9..740e98c 100644
--- a/modules/demux/Modules.am
+++ b/modules/demux/Modules.am
@@ -66,7 +66,7 @@ libvlc_LTLIBRARIES += \
 
 libts_plugin_la_SOURCES = ts.c ../mux/mpeg/csa.c dvb-text.h
 libts_plugin_la_CFLAGS = $(AM_CFLAGS) $(DVBPSI_CFLAGS)
-libts_plugin_la_LIBADD = $(AM_LIBADD) $(DVBPSI_LIBS)
+libts_plugin_la_LIBADD = $(AM_LIBADD) $(DVBPSI_LIBS) $(LIBS_ts)
 libts_plugin_la_DEPENDENCIES =
 if HAVE_DVBPSI
 libvlc_LTLIBRARIES += libts_plugin.la
